#!/bin/bash
#SBATCH -e slurm-%j.err     # error file-path
#SBATCH -o slurm-%j.out     # output file-path
#SBATCH --nodes=1           # number of work nodes
#SBATCH --ntasks=1          # number of tasks
#SBATCH --mem=4G            # reserved RAM
#SBATCH --cpus-per-task=1   # number of CPU cores per task, alternative: --cpus-per-gpu
#SBATCH --gres=gpu:0        # number of GPUs
#SBATCH --time=00:15:00     # Time limit for the entire job

KUERZEL=$1

# Check argurment number
if [ "$#" -ne 1 ]; then
  echo "Found incorrect number of arguments ($#)."
  echo "Please specify a user shorthand:"
  printf '\tcleaner.sh <user-shorthand>\n'
  exit 1
fi


# Remove previous stuff because script failed.
#srun $(if [ -d /zpool1/slurm_data/${KUERZEL} ]; then rm -r /zpool1/slurm_data/${KUERZEL}/*; else echo "Nothing to remove."; fi)
srun rm -r /zpool1/slurm_data/${KUERZEL}/*
srun ls -la /zpool1/slurm_data/${KUERZEL}/*

srun echo "Done."
