#!/bin/bash

RECHESSROOT=$1
PYTHONVER=$2
# OLLAMA_MODELS=${RECHESSROOT}/ollama/models
OLDERPWD=${PWD}
OLLOGSERVE="/dev/null"
VLLMLOGDUMP="/dev/null"


source ${RECHESSROOT}/CHESS/venv/bin/activate
cd ${RECHESSROOT}/CHESS

nvidia-smi -L
gpulist=$(nvidia-smi -L | cut -c 5-5 | tr '\n' ' ')
gpuzero=$(echo $gpulist | cut -c 1-1)
gpuone=$(echo $gpulist | cut -c 3-3)
echo $gpulist ' - ' $gpuzero ' - ' $gpuone

export CUDA_VISIBLE_DEVICES=$gpuone
${RECHESSROOT}/ollama/bin/ollama serve &

date;
sleep 30;
date;
export CUDA_VISIBLE_DEVICES=$gpuzero
echo ${CUDA_VISIBLE_DEVICES}
#${PYTHONVER} -m vllm.entrypoints.openai.api_server --model "AI4DS/NL2SQL_DeepSeek_33B" --load-format safetensors --dtype bfloat16 --max-model-len 8192 --download-dir "${RECHESSROOT}/vllm" &
${PYTHONVER} -m vllm.entrypoints.openai.api_server --model "AI4DS/NL2SQL_DeepSeek_33B" --load-format safetensors --dtype bfloat16 --max-model-len 8192 --download-dir "${RECHESSROOT}/vllm" 1> ${VLLMLOGDUMP} &

date;
sleep 30;
date;

run/run_preprocess.sh

# Select the predefined script
run/run_main_ir_ss_cg_bird-oss.sh
# run/run_main_ir_ss_cg_spider-oss.sh
# run/run_main_ir_ss_cg_spider2-oss.sh

kill %1 %2
export CUDA_VISIBLE_DEVICES=$gpuzero,$gpuone
cd ${OLDERPWD}
deactivate
